> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/border-gateway/unassignbordergateway.md).

# UnassignBorderGateway

## 1. API Description

This API (UnassignBorderGateway) is used to removes the binding between the specified border gateway (ZBG) and its NAT gateway. After unbinding, the border gateway will no longer advertise routes for that NAT gateway.

{% hint style="info" %}
**Notes**

* If a border gateway is not bound to the NAT gateway, this operation will not fail.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description        |
| -------------- | -------- | ------ | ------------------ |
| zbgId          | Yes      | String | Border gateway ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Unbind a NAT gateway to a border gateway.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassignBorderGateway
<Common Request Params>

Request:
{
  "zbgId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code               | Description                    |
| ---------------- | ------------------------ | ------------------------------ |
| 404              | INVALID\_ZBG\_NOT\_FOUND | Border gateway does not exist. |
